<?php
// $Id: views_handler_filter_block_region.inc,v 1.1 2009/07/23 05:54:50 kratib Exp $

/**
 * Filter based on block region.
 */
class views_handler_filter_block_region extends views_handler_filter_in_operator {
  function get_value_options() {
    foreach (list_themes() as $key => $theme) {
      foreach (system_region_list($key) as $name => $description) {
        $this->value_options[$name] = $name;
      }
    }
    $this->value_options[''] = '('. t('none') .')';
    ksort($this->value_options);
  }
}

