<?php
// $Id: views_handler_filter_regex.inc,v 1.1 2009/07/23 05:54:50 kratib Exp $

/**
 * Filter based on regular expression.
 */
class views_handler_filter_regex extends views_handler_filter {
  var $no_single = TRUE;

  function operator_options() {
    return array(
      'REGEXP' => t('Matches regex'),
      'NOT REGEXP' => t('Does not match regex'),
    );
  }

  function admin_summary() {
    if (!empty($this->options['exposed'])) {
      return t('exposed');
    }
    return parent::admin_summary();
  }

  function value_form(&$form, &$form_state) {
    $form['value'] = array(
      '#type' => 'textfield',
      '#title' => t('Value'),
      '#size' => 30,
      '#default_value' => $this->value,
    );
  }
}

